OpenAPI 3.1

This feature enables users to discover and understand REST APIs exposed by web applications and Liberty components that use the OpenAPI 3.0 specification.

Command Line Install

To install the feature from the command line, type:
bin/installUtility install openapi-3.1
If you are installing into 8.5.5.5 or earlier and the feature supports that version, use the featureManager command, for example:
bin/featureManager install openapi-3.1 --when-file-exists=ignore

Config Instructions

To use the feature at runtime add the following to your server.xml file
<featureManager>
  <feature>openapi-3.1</feature>
</featureManager>

Additional Information